Bug 499069 - Review Request: ghc-rpm-macros - RPM macros for building GHC packages
Review Request: ghc-rpm-macros - RPM macros for building GHC packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 00:15 EDT by Yaakov Nemoy
Modified: 2012-05-08 08:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-13 03:55:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-rpm-macros.spec-2.patch (813 bytes, patch)
2009-05-06 23:34 EDT, Jens Petersen
no flags Details | Diff
ghc-rpm-macros-4.patch (1.14 KB, patch)
2009-05-07 23:39 EDT, Jens Petersen
no flags Details | Diff
ghc-rpm-macros-6.patch (844 bytes, patch)
2009-05-10 02:52 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Yaakov Nemoy 2009-05-05 00:15:25 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/ghc-rpm-macros.spec
SRPM URL: http://ynemoy.fedorapeople.org/review/ghc-rpm-macros-0.1-1.fc10.src.rpm
Description: These are macros taken from the GHC package and spun off into a seperate source package.  The reasons are so we can update macros with a much much much shorter build time, rather than waiting hours for GHC to rebuild.
Comment 1 Yaakov Nemoy 2009-05-05 00:39:53 EDT
Re: comments from Jens on IRC:
Spec URL: http://ynemoy.fedorapeople.org/review/ghc-rpm-macros.spec
SRPM URL:
http://ynemoy.fedorapeople.org/review/ghc-rpm-macros-0.1-2.fc10.src.rpm

This moves copying the license file over from the %build section to the %prep section.
Comment 2 Jens Petersen 2009-05-05 01:56:22 EDT
The License should be GPLv2+ at least or maybe even GPLv3.

Not sure if ghc-rpm-macros should not require ghc - macros.ghc is not really useful without it.
On the other hand any package that uses the macros will also need to BR ghc I guess anyway,
but still it does not seem unreasonable to require ghc in my opinion.

Otherwise looks fine to me.
Comment 3 Yaakov Nemoy 2009-05-06 21:00:56 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/ghc-rpm-macros.spec
SRPM URL:
http://ynemoy.fedorapeople.org/review/ghc-rpm-macros-0.1-3.fc10.src.rpm

Includes AUTHORS and GPLv3 License.
Comment 4 Jens Petersen 2009-05-06 23:34:37 EDT
Created attachment 342766 [details]
ghc-rpm-macros.spec-2.patch

Basically looks ok now to me but would suggest these small changes.
Comment 5 Yaakov Nemoy 2009-05-06 23:43:34 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/ghc-rpm-macros.spec
SRPM URL:
http://ynemoy.fedorapeople.org/review/ghc-rpm-macros-0.1-.fc10.src.rpm

Renames LICENSE back to COPYING, and removes extra comments.
Comment 6 Yaakov Nemoy 2009-05-06 23:44:05 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/ghc-rpm-macros.spec
SRPM URL:
http://ynemoy.fedorapeople.org/review/ghc-rpm-macros-0.1-4.fc10.src.rpm

Renames LICENSE back to COPYING, and removes extra comments.
Comment 7 Jens Petersen 2009-05-07 22:00:49 EDT
Ok looks good to me now.

I think I forgot to mention yesterday that I was also thinking we should only ship this on archs with ghc.
(In principle we might also want arch specific macros (eg to work around ppc breakage for example;) at some point.)

So I am inclined to do

-BuildArch:	noarch
+# fedora ghc archs:
+ExclusiveArch:  %{ix86} x86_64 ppc alpha

for this package.
Comment 8 Jens Petersen 2009-05-07 23:39:35 EDT
Created attachment 342976 [details]
ghc-rpm-macros-4.patch

Need %setup to actually build within a dir (ie when overriding ~/rpmbuild/).
Comment 9 Yaakov Nemoy 2009-05-09 02:16:45 EDT
Spec URL: http://ynemoy.fedorapeople.org/review/ghc-rpm-macros.spec
SRPM URL:
http://ynemoy.fedorapeople.org/review/ghc-rpm-macros-0.1-6.fc10.src.rpm

Makes this noarch. Otherwise, patch applied.
Comment 10 Jens Petersen 2009-05-09 04:01:39 EDT
Hmm, I still don't see the point in shipping this package on archs without ghc builds.
Comment 11 Jens Petersen 2009-05-10 02:52:38 EDT
Created attachment 343247 [details]
ghc-rpm-macros-6.patch

Bah, we forgot to run rpmlint on ghc-rpm-macros.noarch.

This fixes:
ghc-rpm-macros.noarch: W: non-conffile-in-etc /etc/rpm/macros.ghc

and simplifies the changelog. :)
Comment 12 Jens Petersen 2009-05-10 03:06:53 EDT
This is a simple packaging of macros.ghc which is currently bundled with the main large ghc package.


Here is the review:

 +:ok, !:needs attention,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output
[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[NA] MUST: source md5sum matches upstream release
[+] MUST: must successfully compile and build into binary rpms on one main arch
[NA] MUST: if necessary use ExcludeArch for other archs
[NA] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[!] MUST: Permissions on files must be set properly.

%config taken care of by patch 6 above

[+] MUST: Each package must have a %clean section
[+] MUST: Each package must consistently use macros
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[NA] SHOULD: If scriptlets are used, those scriptlets must be sane.


Please apply the attached fix for the rpmlint warning.

Package is APPROVED by petersen
Comment 13 Jens Petersen 2009-05-10 03:08:53 EDT
Once the package is imported and built, I will remove macros.ghc from ghc/devel and then update the templates in cabal2spec to BR this package.
Comment 14 Yaakov Nemoy 2009-05-12 21:39:58 EDT
New Package CVS Request
=======================
Package Name: ghc-rpm-macros
Short Description: RPM macros for building GHC packages
Owners: ynemoy petersen
Branches: F-10 F-11 F-12
InitialCC: fedora-haskell-sig
Comment 15 Kevin Fenzi 2009-05-13 01:10:31 EDT
cvs done.
Comment 16 Yaakov Nemoy 2009-05-13 03:55:55 EDT
Thanks again!
Comment 17 Jens Petersen 2010-09-24 05:33:10 EDT
Package Change Request
======================
Package Name: ghc-rpm-macros
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 18 Kevin Fenzi 2010-09-25 00:44:37 EDT
Git done (by process-git-requests).
Comment 19 Jens Petersen 2012-05-08 03:55:35 EDT
Package Change Request
======================
Package Name: ghc-rpm-macros
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 20 Jon Ciesla 2012-05-08 08:32:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.